> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/bank-account.md).

# Bank Account

## GET /erp/bank/accounts/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{id}":{"get":{"tags":["BankAccount"],"summary":"Find an existing Resource by identifier","operationId":"getById_71","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/bank/accounts/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{id}":{"put":{"tags":["BankAccount"],"summary":"Update existing Resource ","operationId":"update_73","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## DELETE /erp/bank/accounts/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{id}":{"delete":{"tags":["BankAccount"],"summary":"Delete an existing Resource","operationId":"delete_70","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/bank/accounts/{id}/deactivate

> Deactivate an existing resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{id}/deactivate":{"put":{"tags":["BankAccount"],"summary":"Deactivate an existing resource","operationId":"deactivate_34","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/bank/accounts/{id}/activate

> Activate an existing resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{id}/activate":{"put":{"tags":["BankAccount"],"summary":"Activate an existing resource","operationId":"activate_34","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/bank/accounts/{accountId}/reset\_last\_import

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{accountId}/reset_last_import":{"put":{"tags":["BankAccount"],"operationId":"resetLastImport","parameters":[{"name":"accountId","in":"path","description":"Account identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"fromDate","in":"query","required":true,"schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/bank/accounts/{accountId}/balance

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{accountId}/balance":{"get":{"tags":["BankAccount"],"operationId":"getBalance","parameters":[{"name":"accountId","in":"path","description":"Account identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"number"}}}}}}}}}
```

## PUT /erp/bank/accounts/{accountId}/balance

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{accountId}/balance":{"put":{"tags":["BankAccount"],"operationId":"setBalance","parameters":[{"name":"accountId","in":"path","description":"Account identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"balance","in":"query","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/bank/accounts

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts":{"post":{"tags":["BankAccount"],"summary":"Create new Resource","operationId":"create_69","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /erp/bank/accounts/{accountId}/transactions/sync\_newest

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{accountId}/transactions/sync_newest":{"post":{"tags":["BankAccount"],"operationId":"syncNewestTransactions","parameters":[{"name":"accountId","in":"path","description":"Account identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-TransactionSyncResponse"}}}}}}}},"components":{"schemas":{"erp-bank-TransactionSyncResponse":{"properties":{"transactions":{"type":"array","description":"Transactions for a synchronous update.","items":{"$ref":"#/components/schemas/erp-bank-BankTransaction"}},"jobId":{"type":"string","description":"Job identifier for an asynchronous update."}}},"erp-bank-BankTransaction":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountId":{"type":"integer","format":"int64","description":"id of the account"},"parentId":{"type":"integer","format":"int64","description":"id of the parent transaction"},"valueDate":{"type":"string","format":"date-time","description":"value date"},"bookingDate":{"type":"string","format":"date-time","description":"booking date"},"amount":{"type":"number","description":"amount"},"updatedAccountBalance":{"type":"number","description":"updated account balance"},"currency":{"type":"string","description":"amount currency"},"purpose":{"type":"string","description":"purpose text"},"name":{"type":"string","description":"counterpart name"},"iban":{"type":"string","description":"counterpart iban"},"bic":{"type":"string","description":"counterpart bic"},"accountNumber":{"type":"string","description":"counterpart account number"},"blz":{"type":"string","description":"counterpart bank number"},"bankName":{"type":"string","description":"counterpart bank name"},"mandateReference":{"type":"string","description":"mandate reference"},"customerReference":{"type":"string","description":"customer reference"},"creditorId":{"type":"string","description":"creditor id"},"debitorId":{"type":"string","description":"debitor id"},"transactionType":{"type":"string","description":"transaction type (text)"},"transactionCodeZKA":{"type":"string","description":"transaction type (ZKA-code)"},"transactionCodeSWIFT":{"type":"string","description":"transaction type (SWIFT-code)"},"purposeCode":{"type":"string","description":"purpose code"},"primanota":{"type":"string","description":"primanota"},"endToEndId":{"type":"string","description":"End-To-End-Id"},"compensationAmount":{"type":"number","description":"compensation amount (i.e. return debit fees)"},"originalAmount":{"type":"number","description":"original amount"},"originalCurrency":{"type":"string","description":"currency of original amount"},"userComment":{"type":"string","description":"manual comments added by the user"},"isPotentialDuplicate":{"type":"boolean","description":"Potential duplicate.","readOnly":true},"matchingState":{"type":"string","description":"whether the transaction has been completely or partially matched with open items or not matched at all","enum":["MATCHED","PARTIALLY_MATCHED","NOT_MATCHED","NOT_RELEVANT"],"readOnly":true},"direction":{"type":"string","description":"whether this transaction was incoming or outgoing","enum":["INCOMING","OUTGOING"]},"openItemRecordRefs":{"type":"array","description":"openItem record reference","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## POST /erp/bank/accounts/transactions/synchronize\_all

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/transactions/synchronize_all":{"post":{"tags":["BankAccount"],"operationId":"syncAllTransactions","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-TransactionSyncRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-TransactionSyncResponse"}}}}}}}},"components":{"schemas":{"erp-bank-TransactionSyncRequest":{"properties":{"accountId":{"type":"integer","format":"int64","description":"Bank account identifier."},"dateRelevant":{"type":"string","format":"date","description":"Date from which the transactions are relevant to the business."},"fromDate":{"type":"string","format":"date","description":"Start date for the transaction matching."},"toDate":{"type":"string","format":"date","description":"End date for the transaction matching."},"syncAll":{"type":"boolean","default":true,"description":"Fetch all transactions?"}},"required":["accountId"]},"erp-bank-TransactionSyncResponse":{"properties":{"transactions":{"type":"array","description":"Transactions for a synchronous update.","items":{"$ref":"#/components/schemas/erp-bank-BankTransaction"}},"jobId":{"type":"string","description":"Job identifier for an asynchronous update."}}},"erp-bank-BankTransaction":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountId":{"type":"integer","format":"int64","description":"id of the account"},"parentId":{"type":"integer","format":"int64","description":"id of the parent transaction"},"valueDate":{"type":"string","format":"date-time","description":"value date"},"bookingDate":{"type":"string","format":"date-time","description":"booking date"},"amount":{"type":"number","description":"amount"},"updatedAccountBalance":{"type":"number","description":"updated account balance"},"currency":{"type":"string","description":"amount currency"},"purpose":{"type":"string","description":"purpose text"},"name":{"type":"string","description":"counterpart name"},"iban":{"type":"string","description":"counterpart iban"},"bic":{"type":"string","description":"counterpart bic"},"accountNumber":{"type":"string","description":"counterpart account number"},"blz":{"type":"string","description":"counterpart bank number"},"bankName":{"type":"string","description":"counterpart bank name"},"mandateReference":{"type":"string","description":"mandate reference"},"customerReference":{"type":"string","description":"customer reference"},"creditorId":{"type":"string","description":"creditor id"},"debitorId":{"type":"string","description":"debitor id"},"transactionType":{"type":"string","description":"transaction type (text)"},"transactionCodeZKA":{"type":"string","description":"transaction type (ZKA-code)"},"transactionCodeSWIFT":{"type":"string","description":"transaction type (SWIFT-code)"},"purposeCode":{"type":"string","description":"purpose code"},"primanota":{"type":"string","description":"primanota"},"endToEndId":{"type":"string","description":"End-To-End-Id"},"compensationAmount":{"type":"number","description":"compensation amount (i.e. return debit fees)"},"originalAmount":{"type":"number","description":"original amount"},"originalCurrency":{"type":"string","description":"currency of original amount"},"userComment":{"type":"string","description":"manual comments added by the user"},"isPotentialDuplicate":{"type":"boolean","description":"Potential duplicate.","readOnly":true},"matchingState":{"type":"string","description":"whether the transaction has been completely or partially matched with open items or not matched at all","enum":["MATCHED","PARTIALLY_MATCHED","NOT_MATCHED","NOT_RELEVANT"],"readOnly":true},"direction":{"type":"string","description":"whether this transaction was incoming or outgoing","enum":["INCOMING","OUTGOING"]},"openItemRecordRefs":{"type":"array","description":"openItem record reference","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## GET /erp/bank/accounts/{accountId}/transactions

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{accountId}/transactions":{"get":{"tags":["BankAccount"],"operationId":"getBankTransactions","parameters":[{"name":"accountId","in":"path","description":"Account identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-BankTransaction"}}}}}}}}},"components":{"schemas":{"erp-bank-BankTransaction":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountId":{"type":"integer","format":"int64","description":"id of the account"},"parentId":{"type":"integer","format":"int64","description":"id of the parent transaction"},"valueDate":{"type":"string","format":"date-time","description":"value date"},"bookingDate":{"type":"string","format":"date-time","description":"booking date"},"amount":{"type":"number","description":"amount"},"updatedAccountBalance":{"type":"number","description":"updated account balance"},"currency":{"type":"string","description":"amount currency"},"purpose":{"type":"string","description":"purpose text"},"name":{"type":"string","description":"counterpart name"},"iban":{"type":"string","description":"counterpart iban"},"bic":{"type":"string","description":"counterpart bic"},"accountNumber":{"type":"string","description":"counterpart account number"},"blz":{"type":"string","description":"counterpart bank number"},"bankName":{"type":"string","description":"counterpart bank name"},"mandateReference":{"type":"string","description":"mandate reference"},"customerReference":{"type":"string","description":"customer reference"},"creditorId":{"type":"string","description":"creditor id"},"debitorId":{"type":"string","description":"debitor id"},"transactionType":{"type":"string","description":"transaction type (text)"},"transactionCodeZKA":{"type":"string","description":"transaction type (ZKA-code)"},"transactionCodeSWIFT":{"type":"string","description":"transaction type (SWIFT-code)"},"purposeCode":{"type":"string","description":"purpose code"},"primanota":{"type":"string","description":"primanota"},"endToEndId":{"type":"string","description":"End-To-End-Id"},"compensationAmount":{"type":"number","description":"compensation amount (i.e. return debit fees)"},"originalAmount":{"type":"number","description":"original amount"},"originalCurrency":{"type":"string","description":"currency of original amount"},"userComment":{"type":"string","description":"manual comments added by the user"},"isPotentialDuplicate":{"type":"boolean","description":"Potential duplicate.","readOnly":true},"matchingState":{"type":"string","description":"whether the transaction has been completely or partially matched with open items or not matched at all","enum":["MATCHED","PARTIALLY_MATCHED","NOT_MATCHED","NOT_RELEVANT"],"readOnly":true},"direction":{"type":"string","description":"whether this transaction was incoming or outgoing","enum":["INCOMING","OUTGOING"]},"openItemRecordRefs":{"type":"array","description":"openItem record reference","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## GET /erp/bank/accounts/{accountId}/transactions/{transactionId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{accountId}/transactions/{transactionId}":{"get":{"tags":["BankAccount"],"operationId":"getBankTransaction","parameters":[{"name":"accountId","in":"path","description":"Account identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"transactionId","in":"path","description":"Transaction identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankTransaction"}}}}}}}},"components":{"schemas":{"erp-bank-BankTransaction":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountId":{"type":"integer","format":"int64","description":"id of the account"},"parentId":{"type":"integer","format":"int64","description":"id of the parent transaction"},"valueDate":{"type":"string","format":"date-time","description":"value date"},"bookingDate":{"type":"string","format":"date-time","description":"booking date"},"amount":{"type":"number","description":"amount"},"updatedAccountBalance":{"type":"number","description":"updated account balance"},"currency":{"type":"string","description":"amount currency"},"purpose":{"type":"string","description":"purpose text"},"name":{"type":"string","description":"counterpart name"},"iban":{"type":"string","description":"counterpart iban"},"bic":{"type":"string","description":"counterpart bic"},"accountNumber":{"type":"string","description":"counterpart account number"},"blz":{"type":"string","description":"counterpart bank number"},"bankName":{"type":"string","description":"counterpart bank name"},"mandateReference":{"type":"string","description":"mandate reference"},"customerReference":{"type":"string","description":"customer reference"},"creditorId":{"type":"string","description":"creditor id"},"debitorId":{"type":"string","description":"debitor id"},"transactionType":{"type":"string","description":"transaction type (text)"},"transactionCodeZKA":{"type":"string","description":"transaction type (ZKA-code)"},"transactionCodeSWIFT":{"type":"string","description":"transaction type (SWIFT-code)"},"purposeCode":{"type":"string","description":"purpose code"},"primanota":{"type":"string","description":"primanota"},"endToEndId":{"type":"string","description":"End-To-End-Id"},"compensationAmount":{"type":"number","description":"compensation amount (i.e. return debit fees)"},"originalAmount":{"type":"number","description":"original amount"},"originalCurrency":{"type":"string","description":"currency of original amount"},"userComment":{"type":"string","description":"manual comments added by the user"},"isPotentialDuplicate":{"type":"boolean","description":"Potential duplicate.","readOnly":true},"matchingState":{"type":"string","description":"whether the transaction has been completely or partially matched with open items or not matched at all","enum":["MATCHED","PARTIALLY_MATCHED","NOT_MATCHED","NOT_RELEVANT"],"readOnly":true},"direction":{"type":"string","description":"whether this transaction was incoming or outgoing","enum":["INCOMING","OUTGOING"]},"openItemRecordRefs":{"type":"array","description":"openItem record reference","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]}}}}
```

## DELETE /erp/bank/accounts/{accountId}/delete\_connection

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/accounts/{accountId}/delete_connection":{"delete":{"tags":["BankAccount"],"operationId":"deleteConnection_1","parameters":[{"name":"accountId","in":"path","description":"Account identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/bank-account.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
